view.animation

## Class JJComponentMouseListener

- java.lang.Object
- - view.animation.JJComponentMouseListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.util.EventListener

    public class JJComponentMouseListener
    extends java.lang.Object
    implements java.awt.event.MouseListener

The listener interface for receiving JJComponentMouse events. The class that is interested in processing a JJComponentMouse event implements this interface, and the object created with that class is registered with a component using the component's `addJJComponentMouseListener`method. When the JJComponentMouse event occurs, that object's appropriate method is invoked.``

See Also:
  `JJComponentMouseEvent`

### Constructor Summary

Constructors
Constructor and Description
`JJComponentMouseListener(JJComponent c)` Instantiates a new JJ component mouse listener.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseClicked(java.awt.event.MouseEvent e)`
`void` `mouseEntered(java.awt.event.MouseEvent e)`
`void` `mouseExited(java.awt.event.MouseEvent e)`
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JJComponentMouseListener

    public JJComponentMouseListener(JJComponent c)

Instantiates a new JJ component mouse listener.

Parameters:
  `c` - the c

### Method Detail

#### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

Specified by:
  `mouseClicked` in interface `java.awt.event.MouseListener`

#### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

Specified by:
  `mouseEntered` in interface `java.awt.event.MouseListener`

#### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

Specified by:
  `mouseExited` in interface `java.awt.event.MouseListener`

#### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

Specified by:
  `mousePressed` in interface `java.awt.event.MouseListener`

#### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

Specified by:
  `mouseReleased` in interface `java.awt.event.MouseListener`